Skip to main content
PUT
Fully update template

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

template_id
string
required

The ID of the template to delete.

Maximum string length: 2147483647
Pattern: ^.*$

Body

application/json

A representation of changes to make in the template.

The template with invoice details to load with all captured fields.

name
string

The template name.

Note: The template name must be unique.

Required string length: 1 - 500
Pattern: ^[\S\s]*$
default_template
boolean

Indicates whether this template is the default template. A invoicer can have one default template.

template_info
Template Information · object

The template details. Includes invoicer business information, invoice recipients, items, and configuration.

settings
Template Settings · object

The template settings. Describes which fields to show or hide when you create an invoice.

unit_of_measure
enum<string>

The unit of measure for the template. Value is quantity, hours, or amount.

Available options:
QUANTITY,
HOURS,
AMOUNT
Maximum string length: 2147483647
Pattern: ^[\S\s]*$

Response

A successful request returns the HTTP 200 OK status code. A JSON response body that shows template details is returned if you set prefer=return=representation.

The template with invoice details to load with all captured fields.

id
string
read-only

The ID of the template.

Maximum string length: 30
Pattern: ^[\S\s]*$
name
string

The template name.

Note: The template name must be unique.

Required string length: 1 - 500
Pattern: ^[\S\s]*$
default_template
boolean

Indicates whether this template is the default template. A invoicer can have one default template.

template_info
Template Information · object

The template details. Includes invoicer business information, invoice recipients, items, and configuration.

settings
Template Settings · object

The template settings. Describes which fields to show or hide when you create an invoice.

unit_of_measure
enum<string>

The unit of measure for the template. Value is quantity, hours, or amount.

Available options:
QUANTITY,
HOURS,
AMOUNT
Maximum string length: 2147483647
Pattern: ^[\S\s]*$
standard_template
boolean
read-only

Indicates whether this template is a invoicer-created custom template. The system generates non-custom templates.

An array of request-related HATEOAS links.

Maximum array length: 2147483647